Subject: RE:
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Antonio MATTA" <[email-masked]>
Cc: "Cygwin@Sourceware. Cygnus. Com" <[email-masked]>
Date: Mon, 11 Oct 1999 20:17:43 -0400

Yes, right!!! could any body tell him why he is getting

> - One of the devices asociated with the system does not work
> - The file GLUT.DLL is asociated with an exportation
> OPENGL.DLL.:GetPixelFormat that does not exists.
>
> Could anybody tell what is my mistake or what can I do in order to solve
> this problem?
>

BTW: please address Cygwin related questions to [email-masked]
and X11 related to [email-masked]

Downloading the ports from my URLS at Geocities and Webjump does not mean
I am also running a Cygwin Support Center, unfortunately.  Lately 5 to 15
messages are being sent directly to me.  PLEASE ADDRESS CYGWIN REALTED
QUESTIONS TO CYGWIN USERS LIST.

Now the answer to your questions is in your error messages.  you got a wrong
version of Opengl.dll in your path, which does not have GetPixelFormat
function.

Regards
Suhaib

> -----Original Message-----
> From: Antonio MATTA [mailto:[email-masked]]
> Sent: Monday, October 11, 1999 7:55 PM
> To: [email-masked]
> Subject:
>
>
> I want to develop an aplication using OpenGl and Glut with Cygwin32.
> I know that Cygwin has the following input libraries libopengl32.a,
> and libglu32.a, so we need to get libglut.a .
> I generate it with dlltool using GLUT.DLL and the file glut.def
> that comes in the packet-source of glut-3.7 .
>
> I compile the following example:
>
> #include <windows.h>
> #include <stdlib.h>
> #include <GL/Gl.h>
> #include <GL/Glu.h>
> #include <GL/glut.h>
>
> void init(void)
> {
>    glClearColor (0.0, 0.0, 0.0, 0.0);
>    glShadeModel (GL_FLAT);
> }
>
> void display(void)
> {
>    glClear (GL_COLOR_BUFFER_BIT);
>    glColor3f (1.0, 1.0, 1.0);
>    glLoadIdentity ();             /* clear the matrix */
>            /* viewing transformation  */
>    gluLookAt (0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);
>    glScalef (1.0, 2.0, 1.0);      /* modeling transformation */
>    glutWireCube (1.0);
>    glFlush ();
> }
>
> void reshape (int w, int h)
> {
>    glViewport (0, 0, (GLsizei) w, (GLsizei) h);
>    glMatrixMode (GL_PROJECTION);
>    glLoadIdentity ();
>    glFrustum (-1.0, 1.0, -1.0, 1.0, 1.5, 20.0);
>    glMatrixMode (GL_MODELVIEW);
> }
>
> /* ARGSUSED1 */
> void keyboard(unsigned char key, int x, int y)
> {
>    switch (key) {
>       case 27:
>          exit(0);
>          break;
>    }
> }
>
> int main(int argc, char** argv)
> {
>    glutInit(&argc, argv);
>    glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
>    glutInitWindowSize (500, 500);
>    glutInitWindowPosition (100, 100);
>    glutCreateWindow (argv[0]);
>    init ();
>    glutDisplayFunc(display);
>    glutReshapeFunc(reshape);
>    glutKeyboardFunc(keyboard);
>    glutMainLoop();
>    return 0;
> }
>
> Using this Makefile:
>
> INCDIR =/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/include/Gl
> LIBDIR =/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/lib
> GL_LIBS = -L$(LIBDIR)  -lglu32 -lopengl32 -lglut -lm
>
> cube.exe: cube.o
> 	gcc -mwindows cube.o -o $@ $(GL_LIBS) -e _mainCRTStartup
> cube.o : cube.c
> 	gcc -c cube.c
>
>
> and it does everything right generating the cube.exe file.
>
> The problem is that when I want to run this file I got the following
> messages:
>
> - One of the devices asociated with the system does not work
> - The file GLUT.DLL is asociated with an exportation
> OPENGL.DLL.:GetPixelFormat that does not exists.
>
> Could anybody tell what is my mistake or what can I do in order to solve
> this problem?
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]